## net.sourceforge.pmd
Class RuleSet

    java.lang.Object
      net.sourceforge.pmd.RuleSet

public class RuleSet
extends java.lang.Object

This class represents a collectin of rules.

See Also:
  `Rule`

Constructor Summary
`RuleSet()`

Method Summary
`void` `addRule(Rule rule)` Add a new rule to this ruleset
`void` `addRuleSet(RuleSet ruleSet)` Add a whole RuleSet to this RuleSet
`void` `apply(java.util.List acuList, RuleContext ctx)`
`boolean` `equals(java.lang.Object o)`
`java.lang.String` `getDescription()` Gives the description of this ruleset
`Language` `getLanguage()`
`java.lang.String` `getName()` Gives the name of this ruleset
`Rule` `getRuleByName(java.lang.String ruleName)` Returns the Rule with the given name
`java.util.Collection` `getRules()` Returns the actual Collection of rules in this ruleset
`int` `hashCode()`
`void` `setDescription(java.lang.String description)` Set the description of this ruleset
`void` `setLanguage(Language language)`
`void` `setName(java.lang.String name)` Set the name of this ruleset
`int` `size()` Returns the number of rules in this ruleset
`boolean` `usesDFA()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RuleSet

    public RuleSet()

Method Detail

### size

    public int size()

  Returns the number of rules in this ruleset

  Returns:
    an int representing the number of rules

### addRule

    public void addRule(Rule rule)

  Add a new rule to this ruleset

  Parameters:
    `rule` - the rule to be added

### getRules

    public java.util.Collection getRules()

  Returns the actual Collection of rules in this ruleset

  Returns:
    a Collection with the rules. All objects are of type `Rule`

### usesDFA

    public boolean usesDFA()

  Returns:
    true if any rule in the RuleSet needs the DFA layer

### getRuleByName

    public Rule getRuleByName(java.lang.String ruleName)

  Returns the Rule with the given name

  Parameters:
    `ruleName` - the name of the rule to find
  Returns:
    the rule or null if not found

### addRuleSet

    public void addRuleSet(RuleSet ruleSet)

  Add a whole RuleSet to this RuleSet

  Parameters:
    `ruleSet` - the RuleSet to add

### apply

    public void apply(java.util.List acuList,
                      RuleContext ctx)

### getName

    public java.lang.String getName()

  Gives the name of this ruleset

  Returns:
    a String representing the name

### setName

    public void setName(java.lang.String name)

  Set the name of this ruleset

  Parameters:
    `name` - a String representing the name

### getDescription

    public java.lang.String getDescription()

  Gives the description of this ruleset

  Returns:
    a String representing the description

### setDescription

    public void setDescription(java.lang.String description)

  Set the description of this ruleset

  Parameters:
    `description` - a String representing the description

### equals

    public boolean equals(java.lang.Object o)

  See Also:
    `Object.equals(java.lang.Object)`

### hashCode

    public int hashCode()

  See Also:
    `Object.hashCode()`

### getLanguage

    public Language getLanguage()

  Returns:
    Returns the language.

### setLanguage

    public void setLanguage(Language language)

  Parameters:
    `language` - The language to set.

Copyright © 2002-2006 InfoEther. All Rights Reserved.